Skip to main content
GET
/
prompts
/
{promptId}
/
draft
Get prompt draft
curl --request GET \
  --url https://api.adaline.ai/v2/prompts/{promptId}/draft \
  --header 'Authorization: Bearer <token>'
{
  "config": {
    "provider": "<string>",
    "model": "<string>",
    "settings": {}
  },
  "messages": [
    {
      "role": "system",
      "content": [
        {
          "modality": "text",
          "value": "<string>"
        }
      ]
    }
  ],
  "tools": [
    {
      "type": "function",
      "definition": {
        "schema": {
          "name": "<string>",
          "description": "<string>",
          "parameters": {},
          "strict": true
        }
      },
      "request": {
        "type": "http",
        "method": "get",
        "url": "<string>",
        "headers": {},
        "query": {},
        "body": {},
        "proxyUrl": "<string>",
        "proxyHeaders": {},
        "retry": {
          "maxAttempts": 2,
          "initialDelay": 2,
          "exponentialFactor": 2
        }
      }
    }
  ],
  "variables": {}
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Path Parameters

promptId
string
required

Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Response

Draft retrieved.

A draft version of a prompt with config, messages, tools, and variables.

config
Prompt Config · object
required

Provider and model configuration for a prompt.

messages
Prompt Message · object[]
required

Array of prompt messages.

tools
Prompt Tool · object[]
required

Array of tool definitions available to the model.

variables
object
required

Map of variable names to their definitions.